#include "AMDiS.hpp"

// AMDiS includes
#include <amdis/Initfile.hpp>
#include <amdis/Output.hpp>

namespace AMDiS
{
  Dune::MPIHelper& init(int& argc, char**& argv, std::string const& initFileName)
  {
    // Maybe initialize MPI
    Dune::MPIHelper& mpiHelper = Dune::MPIHelper::instance(argc, argv);

    Parameters::clearData();

    if (initFileName == "") {
      test_exit(argc > 1, "No init file specified!\n");
      Parameters::init(argv[1]);
    } else {
      Parameters::init(initFileName);
    }

    return mpiHelper;
  }


  void finalize()
  {}

} // end namespace AMDiS
