#include "ProblemInstatBase.hpp"

#include "AdaptInfo.hpp"
#include "AdaptStationary.hpp"
#include "StandardProblemIteration.hpp"

namespace AMDiS {

void ProblemInstatBase::setTime(AdaptInfo& adaptInfo)
{
  time_ = adaptInfo.getTime();
  tau_ = adaptInfo.getTimestep();
  invTau_ = 1.0 / tau_;
}


void ProblemInstatBase::solveInitialProblem(AdaptInfo& adaptInfo)
{
  StandardProblemIteration iteration(*initialProblem_);
  AdaptStationary initialAdapt(name_ + "->initial->adapt", iteration, adaptInfo);

  initialAdapt.adapt();
}

} // end namespace AMDiS
